"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const moment = require("moment");
class DateHelper {
    static format(value, format = 'DD-MM-YYYY HH:mm:ss') {
        const date = moment(value).format(format);
        return date;
    }
    static getTimeBetweenDate(date) {
        const currentTime = new Date().getTime();
        const expiredTime = new Date(date).getTime();
        return currentTime - expiredTime;
    }
}
exports.default = DateHelper;
//# sourceMappingURL=DateHelper.js.map