"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jwt = require("jsonwebtoken");
const crypto = require("crypto");
class SecurityHelper {
    static hashData(data) {
        if (data) {
            let hash = crypto.createHash('sha256').update(data).digest('hex');
            return hash;
        }
        return '';
    }
    static encrypt(data, key) {
        if (!key) {
            key = this.algorithm;
        }
        let input = data;
        if (typeof data === 'object') {
            input = JSON.stringify(data);
        }
        let cipher = crypto.createCipher(key, this.password);
        let crypted = cipher.update(input, 'utf8', 'hex');
        crypted += cipher.final('hex');
        return crypted;
    }
    static decrypt(data, toObject, key) {
        if (!key) {
            key = this.algorithm;
        }
        let decipher = crypto.createDecipher(key, this.password);
        let dec = decipher.update(data, 'hex', 'utf8');
        dec += decipher.final('utf8');
        if (toObject) {
            dec = JSON.parse(dec);
        }
        return dec;
    }
    static generateToken(data, expired = '60') {
        let token = jwt.sign(data, this.serectKey, { expiresIn: expired });
        return token;
    }
    static getToken(token) {
        try {
            let decoded = jwt.verify(token, this.serectKey);
            return decoded;
        }
        catch (error) {
            return '';
        }
    }
}
SecurityHelper.serectKey = 'c0FTREZhYSMyNTYyMiFAIzFEc2RmR1NkZnMsLi9TREZTRDMyNA==';
SecurityHelper.algorithm = 'aes256';
SecurityHelper.password = 'd6dfsfeq-aluha-keyrn-45@56@';
exports.SecurityHelper = SecurityHelper;
exports.default = SecurityHelper;
//# sourceMappingURL=SecurityHelper.js.map