"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const is = require("is_js");
class CheckingHelper {
    static isUrl(value) {
        return is.url(value);
    }
    static isJson(value) {
        return is.json(value);
    }
    static isStringJson(value) {
        try {
            let rest = JSON.parse(value);
            return true;
        }
        catch (error) {
            return false;
        }
    }
    static isNumber(value) {
        return is.number(value);
    }
    static isArray(value) {
        return is.array(value);
    }
    static isObject(value) {
        return is.object(value);
    }
    static isDateString(value) {
        return is.dateString(value);
    }
    static isEmail(value) {
        return is.email(value);
    }
    static isNotUndefineAndNull(value) {
        if (is.not.undefined(value) && is.not.null(value)) {
            return true;
        }
        return false;
    }
    static isUndefinedAndNull(value) {
        if (is.undefined(value) || is.null(value)) {
            return true;
        }
        return false;
    }
    static isString(value) {
        return is.string(value);
    }
}
exports.default = CheckingHelper;
//# sourceMappingURL=CheckingHelper.js.map