import RedisModel from '../model/RedisModel';
declare class RedisHelper {
    client: any;
    constructor(client: any);
    getKey(key: string, convertKey?: boolean): Promise<any>;
    deleteKey(key: string): Promise<any>;
    deleteHash(key: string, field: string): Promise<any>;
    updateKey(data: RedisModel): Promise<any>;
    createKey(data: RedisModel): Promise<any>;
    renameKey(oldKey: string, newKey: string): Promise<any>;
    setExpired(key: string, timeout: number): Promise<any>;
    updateHash(key: string, field: string, value: string): Promise<any>;
    refreshToken(oldKey: string, newKey: string, timeout: number): Promise<any>;
}
export default RedisHelper;
