export default class SystemHelper {
    static pathConfig: string;
    static readonly getConfig: any;
    static readonly Development: ConfigSystem;
    static readonly Production: ConfigSystem;
    static InjectControllers(controllerPath: any, excludes?: any): any[];
    static shouldCompress(req: any, res: any): any;
}
declare class ConfigSystem {
    SERVER: {
        DOMAIN: string;
        PORT: number;
    };
    SERVICE: {
        POSTGRES_DB: boolean;
        REDIS: boolean;
        RABBITMQ: boolean;
        EVENTSTORE: boolean;
    };
    DATABASES: {
        DATABASE_DYAMICS: any;
        POSTGRES: {
            NAME: string;
            HOST: string;
            PORT: number;
            DB_NAME: string;
            USERNAME: string;
            PASSWORD: string;
        };
        MONGO: {
            NAME: string;
            HOST: string;
            PORT: number;
            DB_NAME: string;
            USERNAME: string;
            PASSWORD: string;
        };
    };
    RABBITMQ: {
        HOST: string;
        PORT: number;
        USER: string;
        PWD: string;
    };
    REDIS: {
        HOST: string;
        PORT: number;
        PASSWORD: string;
    };
    EVENT_STORE: {
        NAME: string;
        HOST: string;
        PORT: number;
        DB_NAME: string;
        USERNAME: string;
        PASSWORD: string;
    };
    PATHS: {
        LOGPATH: string;
    };
    SMTP: {
        AUTHENTICATOR: {
            USERNAME: string;
            PASSWORD: string;
        };
        SENDER: {
            NAME: string;
            EMAIL: string;
        };
    };
    constructor();
}
export {};
